name: Backend Build and Test
on: [push]

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout
        uses: actions/checkout@v4

      - name: Setup Go
        uses: actions/setup-go@v5
        with:
          go-version: '>=1.24'

      - name: Build
        run: |
          cd backend
          go build .

      - name: Test
        run: |
          cd backend
          go test . -v
